# Gimp.Path

    from gi.repository import Gimp

    path = Gimp.Path()

Functions for querying and manipulating path.

## Hierarchy

- GObject.Object
  - Gimp.Item
    - Gimp.Path

## Methods

- Gimp.Path.bezier_stroke_conicto
- Gimp.Path.bezier_stroke_cubicto
- Gimp.Path.bezier_stroke_lineto
- Gimp.Path.bezier_stroke_new_ellipse
- Gimp.Path.bezier_stroke_new_moveto
- Gimp.Path.copy
- Gimp.Path.get_strokes
- Gimp.Path.remove_stroke
- Gimp.Path.stroke_close
- Gimp.Path.stroke_flip
- Gimp.Path.stroke_flip_free
- Gimp.Path.stroke_get_length
- Gimp.Path.stroke_get_point_at_dist
- Gimp.Path.stroke_get_points
- Gimp.Path.stroke_interpolate
- Gimp.Path.stroke_new_from_points
- Gimp.Path.stroke_reverse
- Gimp.Path.stroke_rotate
- Gimp.Path.stroke_scale
- Gimp.Path.stroke_translate

## Static Functions

- Gimp.Path.free
- Gimp.Path.get_by_id
- Gimp.Path.get_user_writable_dir
- Gimp.Path.parse
- Gimp.Path.to_str